# react-highlighted-text
Tiny text highlighter for create-react-app

## Description
Highlights searchString prop matches in text prop

## Installation
```console
npm i react-highlighted-text --save
```

## Usage:
Without css-modules
```js
<HighlightedText
    text={'any text'}
    searchString={'te'}
    className={'textClass'}
    highlightedClass={'findedTextClass'}
/>
```

With css-modules
```js
import styles from './styles.css'

<HighlightedText
    text={'any text'}
    searchString={'te'}
    className={styles.textClass}
    highlightedClass={style.findedTextClass}
/>
```

